## linux-backports-modules-3.0.0 3.0.0-32.25

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

#include $(src)/.config

#obj-$(CONFIG_E1000E) += net/e1000e/

#obj-$(CONFIG_IGB) += net/igb/

obj-$(CONFIG_R8169) += net/r8169.o

=== updates/cw-3.1/Makefile ===
export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe
MADWIFI=$(shell $(MODPROBE) -l ath_pci)
OLD_IWL=$(shell $(MODPROBE) -l iwl4965)

DESTDIR?=

ifneq ($(KERNELRELEASE),)

NOSTDINC_FLAGS := -I$(M)/include/ \
	-include $(M)/include/linux/compat-2.6.h \
	$(CFLAGS)

obj-y := compat/

obj-$(CONFIG_COMPAT_RFKILL) += net/rfkill/

ifeq ($(BT),)
obj-$(CONFIG_COMPAT_WIRELESS) += net/wireless/ net/mac80211/
obj-$(CONFIG_COMPAT_WIRELESS_MODULES) += drivers/net/wireless/

obj-$(CONFIG_COMPAT_NET_USB_MODULES) += drivers/net/usb/

obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/
obj-$(CONFIG_COMPAT_VAR_MODULES) +=  drivers/ssb/ drivers/bcma/ drivers/misc/eeprom/

ifeq ($(CONFIG_STAGING_EXCLUDE_BUILD),)
obj-$(CONFIG_COMPAT_STAGING) += drivers/staging/ath6kl/
obj-$(CONFIG_COMPAT_STAGING) += drivers/staging/brcm80211/
endif

endif

obj-$(CONFIG_COMPAT_BLUETOOTH) += net/bluetooth/
obj-$(CONFIG_COMPAT_BLUETOOTH_MODULES) += drivers/bluetooth/

else

export PWD :=	$(shell pwd)
CFLAGS += \
        -DCOMPAT_BASE_TREE="\"$(shell cat compat_base_tree)\"" \
        -DCOMPAT_BASE_TREE_VERSION="\"$(shell cat compat_base_tree_version)\"" \
        -DCOMPAT_PROJECT="\"Compat-wireless\"" \
        -DCOMPAT_VERSION="\"$(shell cat compat_version)\""

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat_version)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

bt: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) BT=TRUE modules
	@touch $@

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

btinstall: btuninstall bt-install-modules

bt-install-modules: bt
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) BT=TRUE \
		modules_install
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo
	@echo Now run:
	@echo
	@echo sudo make btunload:
	@echo
	@echo And then load the needed bluetooth modules. If unsure reboot.
	@echo

btuninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/bluetooth/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/bluetooth/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@/sbin/depmod -ae
	@echo
	@echo "Your old bluetooth subsystem modules were left intact:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo

btclean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) BT=TRUE clean
	@rm -f $(CREL_PRE)*

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts:
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ ! -z "$(MADWIFI)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@if [ ! -z "$(OLD_IWL)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		/usr/sbin/iwl-enable iwlagn ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@# Udev stuff needed for the new compat_firmware_class.
	@./compat/scripts/compat_firmware_install
	@/sbin/depmod -a
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251
	@$(MODPROBE) -l wl12xx
	@$(MODPROBE) -l zd1211rw
	@echo
	@echo "Currently detected ethernet subsystem modules:"
	@echo
	@$(MODPROBE) -l atl1
	@$(MODPROBE) -l atl2
	@$(MODPROBE) -l atl1e
	@$(MODPROBE) -l atl1c
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k           
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo 
	@echo Now run:
	@echo 
	@echo sudo make unload to unload all: wireless, bluetooth and ethernet modules
	@echo sudo make wlunload to unload wireless modules
	@echo sudo make btunload to unload bluetooth modules
	@echo
	@echo Run sudo modprobe 'driver-name' to load your desired driver. 
	@echo If unsure reboot.
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/compat/
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/staging/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/atl*
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -a
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251
	@$(MODPROBE) -l wl12xx
	@$(MODPROBE) -l zd1211rw
	@echo
	@echo "Your old ethernet subsystem modules are left intact:"
	@echo

=== updates/cw-3.1/drivers/misc/eeprom/Makefile ===
obj-$(CONFIG_EEPROM_93CX6)	+= eeprom_93cx6.o
obj-$(CONFIG_EEPROM_93XX46)	+= eeprom_93xx46.o
obj-$(CONFIG_EEPROM_DIGSY_MTC_CFG) += digsy_mtc_eeprom.o

=== updates/cw-3.1/drivers/staging/brcm80211/brcmutil/Makefile ===
#
# Makefile fragment for Broadcom 802.11n Networking Device Driver Utilities
#
# Copyright (c) 2011 Broadcom Corporation
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

ccflags-y :=				\
	-I$(obj)			\
	-I$(obj)/../include

BRCMUTIL_OFILES := \
	utils.o \
	wifi.o

MODULEPFX := brcmutil

obj-$(CONFIG_BRCMUTIL)	+= $(MODULEPFX).o
$(MODULEPFX)-objs	= $(BRCMUTIL_OFILES)

=== debian/changelog ===
linux-backports-modules-3.0.0 (3.0.0-32.25) oneiric-proposed; urgency=low

  * Bump ABI - Oneiric ABI 32

 -- Brad Figg <brad.figg@canonical.com>  Thu, 28 Feb 2013 14:03:30 -0800

=== debian/control ===
Source: linux-backports-modules-3.0.0
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-3.0.0-32-generic [i386 amd64], linux-headers-3.0.0-32-generic-pae [i386], linux-headers-3.0.0-32-lpia [lpia], linux-headers-3.0.0-32-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-maverick-lbm.git

Package: linux-headers-lbm-3.0.0-32
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 3.0.0
 This package provides linux-ubuntu-modules header files for version 3.0.0, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.0.0-32/debian.README.gz for details

Package: linux-headers-lbm-3.0.0-32-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.0.0
 This package provides linux-backports-modules header files for version 3.0.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.0.0-32/debian.README.gz for details

Package: linux-backports-modules-cw-3.1-3.0.0-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.2-3.0.0-32-generic,linux-backports-modules-cw-3.3-3.0.0-32-generic
Depends: linux-image-3.0.0-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.1-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.2-3.0.0-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.1-3.0.0-32-generic,linux-backports-modules-cw-3.3-3.0.0-32-generic
Depends: linux-image-3.0.0-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.2-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.3-3.0.0-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.1-3.0.0-32-generic,linux-backports-modules-cw-3.2-3.0.0-32-generic
Depends: linux-image-3.0.0-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-3.0.0-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.0.0-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 3.0.0 on x86/x86_64
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-3.0.0-32-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.0.0
 This package provides linux-backports-modules header files for version 3.0.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.0.0-32/debian.README.gz for details

Package: linux-backports-modules-cw-3.1-3.0.0-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.2-3.0.0-32-generic-pae,linux-backports-modules-cw-3.3-3.0.0-32-generic-pae
Depends: linux-image-3.0.0-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.1-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.2-3.0.0-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.1-3.0.0-32-generic-pae,linux-backports-modules-cw-3.3-3.0.0-32-generic-pae
Depends: linux-image-3.0.0-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.2-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.3-3.0.0-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.1-3.0.0-32-generic-pae,linux-backports-modules-cw-3.2-3.0.0-32-generic-pae
Depends: linux-image-3.0.0-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-3.0.0-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.0.0-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 3.0.0 on x86
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-3.0.0-32-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.0.0
 This package provides linux-backports-modules header files for version 3.0.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.0.0-32/debian.README.gz for details

Package: linux-backports-modules-cw-3.1-3.0.0-32-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.2-3.0.0-32-lpia,linux-backports-modules-cw-3.3-3.0.0-32-lpia
Depends: linux-image-3.0.0-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.1-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.2-3.0.0-32-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.1-3.0.0-32-lpia,linux-backports-modules-cw-3.3-3.0.0-32-lpia
Depends: linux-image-3.0.0-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.2-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.3-3.0.0-32-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.1-3.0.0-32-lpia,linux-backports-modules-cw-3.2-3.0.0-32-lpia
Depends: linux-image-3.0.0-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-3.0.0-32-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.0.0-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 3.0.0 on lpia
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 3.0.0 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-3.0.0-32-server
Architecture: amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.0.0-32-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.0.0
 This package provides linux-backports-modules header files for version 3.0.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.0.0-32/debian.README.gz for details

Package: linux-backports-modules-cw-3.1-3.0.0-32-server
Architecture: amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-cw-3.2-3.0.0-32-server,linux-backports-modules-cw-3.3-3.0.0-32-server
Depends: linux-image-3.0.0-32-server
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.0.0 on x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.0.0 on x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.1-server meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.2-3.0.0-32-server
Architecture: amd64
Section: admin
Priority: optional
Provides:
